## webvttenc webvttenc |

## Properties

gint64 | duration | Read / Write
gint64 | timestamp | Read / Write

## Types and Values

struct | GstWebvttEnc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstWebvttEnc

## Description

## Synopsis

### Element Information

plugin | subenc
author | David Schleef <ds@schleef.org>
class | Codec/Encoder/Subtitle

### Element Pads

name | sink
direction | sink
presence | always
details | text/x-raw, format=(string){ pango-markup, utf8 }

name | src
direction | source
presence | always
details | application/x-subtitle-vtt

## Functions

## Types and Values

### struct GstWebvttEnc

    struct GstWebvttEnc;

## Property Details

### The `“duration”` property

      “duration”                 gint64

Offset for the duration of the subtitles.

Flags: Read / Write

Default value: 0

### The `“timestamp”` property

      “timestamp”                gint64

Offset for the starttime for the subtitles.

Flags: Read / Write

Default value: 0